KXML_COMPILER(1)

NAME
kxml_compiler - KDE XML compiler

SYNOPSIS
kxml_compiler [Qt-options] [KDE-options] [options] dtd

DESCRIPTION
kxml_compiler generates parsers and container classes for XML data described by RelaxNG schemes.

PROGRAM OPTIONS

-d, --directory <dir>
    Directory to generate files in. The default is the current directory.

--external-parser
    Generate the parser in a separate source file.

--custom-parser
    Generate a parser customized for the schema.

dtd Specifies the name of the DTD file.